com.aliyun.svideosdk.common.struct.effect

## Class TransitionBase

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Effect
  - - com.aliyun.svideosdk.common.struct.effect.TransitionBase

- Direct Known Subclasses:
    TransitionCircle, TransitionFade, TransitionFiveStar, TransitionShutter, TransitionTranslate

      public class TransitionBase
      extends Effect

  A base class that defines transition effects. `TransitionCircle`——Circle `TransitionFade`——Fade `TransitionFiveStar`——Pentagram `TransitionShutter`——Blinds `TransitionTranslate`——Translational motion Custom

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.project.Effect

      `Effect.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DIRECTION_DOWN` Downward motion.
    `static int` | `DIRECTION_LEFT` Leftward motion.
    `static int` | `DIRECTION_RIGHT` Rightward motion.
    `static int` | `DIRECTION_UP` Upward motion.
    `protected Source` | `mCustomSource` CUSTOM file path
    `protected java.lang.String` | `mParamsString`
    `int` | `mType` The transition type.
    `static int` | `ORIENTATION_HORIZONTAL` Horizontal motion.
    `static int` | `ORIENTATION_VERTICAL` Vertical motion.
    `static int` | `TRANSITION_TYPE_CIRCLE` Circle.
    `static int` | `TRANSITION_TYPE_CUSTOM` CUSTOM.
    `static int` | `TRANSITION_TYPE_FADE` Fade.
    `static int` | `TRANSITION_TYPE_FIVEPOINTSTAR` Pentagram.
    `static int` | `TRANSITION_TYPE_SHUTTER` Blinds.
    `static int` | `TRANSITION_TYPE_TRANSLATE` Translational motion.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransitionBase()`
    `TransitionBase(Source source)`
    `TransitionBase(java.lang.String path)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Source` | `getCustomSource()`
    `EffectConfig` | `getEffectConfig()`
    `java.util.List<EffectConfig.NodeBean>` | `getNodeTree()`
    `long` | `getOverlapDuration()` Sets the overlap between the video clips preceding and following the effect.
    `long` | `getOverlapDuration(java.util.concurrent.TimeUnit timeUnit)` Sets the overlap between the video clips preceding and following the effect.
    `void` | `setCustomSource(Source customSource)`
    `void` | `setEffectConfig(EffectConfig effectConfig)`
    `void` | `setOverlapDuration(long overlapDurationUs)` Sets the overlap between the video clips preceding and following the effect.
    `void` | `setOverlapDuration(long overlapDuration, java.util.concurrent.TimeUnit timeUnit)` Sets the overlap between the video clips preceding and following the effect.
    `void` | `setParamsString(java.lang.String paramsString)`
    `java.lang.String` | `toJsonString()` Gets the Params parameter of the custom transition object.

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Effect

      `getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRANSITION_TYPE_SHUTTER

          public static final int TRANSITION_TYPE_SHUTTER

      Blinds.
      See Also:
        Constant Field Values

    - #### TRANSITION_TYPE_TRANSLATE

          public static final int TRANSITION_TYPE_TRANSLATE

      Translational motion.
      See Also:
        Constant Field Values

    - #### TRANSITION_TYPE_CIRCLE

          public static final int TRANSITION_TYPE_CIRCLE

      Circle.
      See Also:
        Constant Field Values

    - #### TRANSITION_TYPE_FIVEPOINTSTAR

          public static final int TRANSITION_TYPE_FIVEPOINTSTAR

      Pentagram.
      See Also:
        Constant Field Values

    - #### TRANSITION_TYPE_FADE

          public static final int TRANSITION_TYPE_FADE

      Fade.
      See Also:
        Constant Field Values

    - #### TRANSITION_TYPE_CUSTOM

          public static final int TRANSITION_TYPE_CUSTOM

      CUSTOM.
      See Also:
        Constant Field Values

    - #### ORIENTATION_HORIZONTAL

          public static final int ORIENTATION_HORIZONTAL

      Horizontal motion.
      See Also:
        Constant Field Values

    - #### ORIENTATION_VERTICAL

          public static final int ORIENTATION_VERTICAL

      Vertical motion.
      See Also:
        Constant Field Values

    - #### DIRECTION_LEFT

          public static final int DIRECTION_LEFT

      Leftward motion.
      See Also:
        Constant Field Values

    - #### DIRECTION_RIGHT

          public static final int DIRECTION_RIGHT

      Rightward motion.
      See Also:
        Constant Field Values

    - #### DIRECTION_UP

          public static final int DIRECTION_UP

      Upward motion.
      See Also:
        Constant Field Values

    - #### DIRECTION_DOWN

          public static final int DIRECTION_DOWN

      Downward motion.
      See Also:
        Constant Field Values

    - #### mType

          public int mType

      The transition type.
      See Also:
        `TRANSITION_TYPE_SHUTTER`, `TRANSITION_TYPE_CIRCLE`, `TRANSITION_TYPE_FADE`, `TRANSITION_TYPE_FIVEPOINTSTAR`, `TRANSITION_TYPE_TRANSLATE`

    - #### mCustomSource

          protected Source mCustomSource

      CUSTOM file path

    - #### mParamsString

          protected java.lang.String mParamsString

  - ### Constructor Detail

    - #### TransitionBase

          public TransitionBase()

    - #### TransitionBase

          @Deprecated
          public TransitionBase(java.lang.String path)

      Deprecated.

    - #### TransitionBase

          public TransitionBase(Source source)

  - ### Method Detail

    - #### getNodeTree

          public java.util.List<EffectConfig.NodeBean> getNodeTree()

    - #### setEffectConfig

          public void setEffectConfig(EffectConfig effectConfig)

    - #### getEffectConfig

          public EffectConfig getEffectConfig()

    - #### toJsonString

          public java.lang.String toJsonString()

      Gets the Params parameter of the custom transition object.

    - #### getOverlapDuration

          public long getOverlapDuration()

      Sets the overlap between the video clips preceding and following the effect.
      Returns:
        overlapDurationUs Unit: microseconds.

    - #### getOverlapDuration

          public long getOverlapDuration(java.util.concurrent.TimeUnit timeUnit)

      Sets the overlap between the video clips preceding and following the effect.

      Added in v3.27.0

      Parameters:
        `timeUnit` - Time Unit
      Returns:
        overlapDurationUs Unit: milliseconds.

    - #### setOverlapDuration

          public void setOverlapDuration(long overlapDurationUs)

      Sets the overlap between the video clips preceding and following the effect.
      Parameters:
        `overlapDurationUs` - Unit: microseconds.

    - #### setOverlapDuration

          public void setOverlapDuration(long overlapDuration,
                                         java.util.concurrent.TimeUnit timeUnit)

      Sets the overlap between the video clips preceding and following the effect.

      Added in v3.27.0

      Parameters:
        `overlapDuration` -
        `timeUnit` - Time Unit

    - #### setParamsString

          public void setParamsString(java.lang.String paramsString)

    - #### setCustomSource

          public void setCustomSource(Source customSource)

    - #### getCustomSource

          public Source getCustomSource()